LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
DocumentDigitalSignatures Service Reference

Service of DocumentDigitalSignatures. More...

`import"DocumentDigitalSignatures.idl";`

Inheritance diagram for DocumentDigitalSignatures:

## Public Member Functions
| createDefault ()
| createWithVersion ([in] string ODFVersion)
| createWithVersionAndValidSignature ([in] string ODFVersion, [in] boolean HasValidDocumentSignature)
Public Member Functions inherited from XDocumentDigitalSignatures
boolean | signDocumentContent ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XStream xSignStream)
| signs the content of the document including text and pictures. More...
sequence < com::sun::star::security::DocumentSignatureInformation > | verifyDocumentContentSignatures ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XInputStream xSignInStream)
| checks for digital signatures and their status. More...
void | showDocumentContentSignatures ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XInputStream xSignInStream)
| shows the digital signatures of the document content More...
string | getDocumentContentSignatureDefaultStreamName ()
| allows to get the default stream name for storing of the signature of the document content. More...
boolean | signScriptingContent ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XStream xSignStream)
| signs the content of the Scripting including macros and basic dialogs More...
sequence < com::sun::star::security::DocumentSignatureInformation > | verifyScriptingContentSignatures ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XInputStream xSignInStream)
| checks for digital signatures and their status. More...
void | showScriptingContentSignatures ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XInputStream xSignInStream)
| shows the digital signatures of the scripting content More...
string | getScriptingContentSignatureDefaultStreamName ()
| allows to get the default stream name for storing of the signature of the scripting content. More...
boolean | signPackage ([in]::com::sun::star::embed::XStorage Storage, [in]::com::sun::star::io::XStream xSignStream)
| signs the full Package, which means everything in the storage except the content of META-INF More...
sequence < com::sun::star::security::DocumentSignatureInformation > | verifyPackageSignatures ([in]::com::sun::star::embed::XStorage Storage, [in]::com::sun::star::io::XInputStream xSignInStream)
| checks for digital signatures and their status. More...
void | showPackageSignatures ([in]::com::sun::star::embed::XStorage xStorage, [in]::com::sun::star::io::XInputStream xSignInStream)
| shows the digital signatures of the package More...
string | getPackageSignatureDefaultStreamName ()
| allows to get the default stream name for storing of the signature of the package. More...
void | showCertificate ([in] com::sun::star::security::XCertificate Certificate)
void | manageTrustedSources ()
| manages trusted sources (Authors and paths ) More...
boolean | isAuthorTrusted ([in] com::sun::star::security::XCertificate Author)
boolean | isLocationTrusted ([in] string Location)
void | addAuthorToTrustedSources ([in] com::sun::star::security::XCertificate Author)
void | addLocationToTrustedSources ([in] string Location)
com::sun::star::security::XCertificate | chooseCertificate ()
| This method shows CertificateChooser dialog, used by document and PDF signing. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service of DocumentDigitalSignatures.

## Member Function Documentation

createDefault | ( |  | ) |

createWithVersion | ( | [in] string | ODFVersion | ) |

Parameters

  ODFVersion | the version of the signature

createWithVersionAndValidSignature | ( | [in] string | ODFVersion,
|  | [in] boolean | HasValidDocumentSignature
| ) |  |

Parameters

  ODFVersion | the version of the signature

The documentation for this service was generated from the following file:

- com/sun/star/security/DocumentDigitalSignatures.idl